> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heybee.app/llms.txt
> Use this file to discover all available pages before exploring further.

# List Huggingface Datasets



## OpenAPI

````yaml /openapi.json get /v1/integrations/huggingface/datasets
openapi: 3.1.0
info:
  description: Customer-owned evaluation lifecycle API.
  title: HeyBee Public API
  version: 1.0.0
servers:
  - description: Production
    url: https://api.heybee.app
security: []
paths:
  /v1/integrations/huggingface/datasets:
    get:
      tags:
        - Hugging Face
      summary: List Huggingface Datasets
      operationId: list_huggingface_datasets_v1_integrations_huggingface_datasets_get
      parameters:
        - in: query
          name: search
          required: false
          schema:
            default: ''
            title: Search
            type: string
        - in: query
          name: limit
          required: false
          schema:
            default: 20
            maximum: 100
            minimum: 1
            title: Limit
            type: integer
        - in: query
          name: offset
          required: false
          schema:
            default: 0
            minimum: 0
            title: Offset
            type: integer
        - in: query
          name: mine
          required: false
          schema:
            default: false
            title: Mine
            type: boolean
        - in: query
          name: author
          required: false
          schema:
            anyOf:
              - maxLength: 128
                minLength: 1
                type: string
              - type: 'null'
            title: Author
        - in: query
          name: access
          required: false
          schema:
            default: available
            pattern: ^(available|public|gated|private|all)$
            title: Access
            type: string
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: X-API-Key
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HuggingFaceDatasetListResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - BearerAuth: []
        - ApiKeyAuth: []
components:
  schemas:
    HuggingFaceDatasetListResponse:
      properties:
        cache_status:
          default: bypass
          enum:
            - hit
            - miss
            - mixed
            - bypass
          title: Cache Status
          type: string
        datasets:
          items:
            $ref: '#/components/schemas/HuggingFaceDatasetSummary'
          title: Datasets
          type: array
        has_more:
          default: false
          title: Has More
          type: boolean
        next_offset:
          anyOf:
            - type: integer
            - type: 'null'
          title: Next Offset
        source_counts:
          additionalProperties:
            type: integer
          title: Source Counts
          type: object
      required:
        - datasets
      title: HuggingFaceDatasetListResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    HuggingFaceDatasetSummary:
      properties:
        accessible:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Accessible
        author:
          anyOf:
            - type: string
            - type: 'null'
          title: Author
        disabled:
          default: false
          title: Disabled
          type: boolean
        downloads:
          anyOf:
            - type: integer
            - type: 'null'
          title: Downloads
        gated:
          default: false
          title: Gated
          type: boolean
        id:
          title: Id
          type: string
        likes:
          anyOf:
            - type: integer
            - type: 'null'
          title: Likes
        private:
          default: false
          title: Private
          type: boolean
        tags:
          items:
            type: string
          title: Tags
          type: array
      required:
        - id
      title: HuggingFaceDatasetSummary
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    BearerAuth:
      bearerFormat: Supabase JWT
      scheme: bearer
      type: http
    ApiKeyAuth:
      in: header
      name: X-API-Key
      type: apiKey

````